Changeing from gateway to Luma cfw

Discussion in '3DS - Flashcards & Custom Firmwares' started by thinkingofaname, Jun 16, 2016.

  1. thinkingofaname
    OP

    thinkingofaname Member

    Newcomer
    24
    0
    Mar 16, 2009
    Canada
    I haven't updated my N3ds for half year now, I am on gateway ultra 3.7 with a gateway card, but I heard it doesn't currently support the latest firmware which I need to play online. I am on 9.2 both sysnand and emunand, So what do I need to do to get luma cfw running and update emunand to 11.0? I tried following

    https://gbatemp.net/threads/tutoria...luding-emunand-coldboot-cia-installer.405589/

    Completely lost it, WAY WAY WAY too complicated, there gotta be a easier way than 5 pages of instruction ...
     


  2. retrofan_k

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,818
    1,113
    May 31, 2013
    Belarus
    Caves
    Depends, if you want menuhax/luma cfw or a9lh luma cfw?

    Personally I would go for a9lh luma because it's superior and has a 100% boot rate along with other features.

    For that just follow Plailect's guide:

    https://github.com/Plailect/Guide/wiki

    Use V1 a9lh and safea9lhinstaller 1.52 for GW to work. V2 is a little different but there are ways to get it to work on v2 but V1 won't over complicate things.

    Or just install menuhax with access to the homebrew menu and have luma setup and GW separately (selectable there in hbl) booting into emunand 9.2 and then update the emunand to 11.0. That should work.
     
    Last edited by retrofan_k, Jun 16, 2016
  3. kamesenin888

    kamesenin888 GBAtemp Advanced Fan

    Member
    560
    146
    Oct 20, 2007
    Gateway supports latest firmware emunand with no problems, just update the launcher and you are good, of you want a9lh just install the normal arm9loaderhax from Plailect a9lh v1 to use the gateway arm.bin with Luma or ctrboot with v2 because it's not compatible yet
     
  4. MrJason005

    MrJason005 √2

    Member
    2,142
    1,182
    Nov 26, 2014
    Greece
    Κάπου
    But the latest update that Gateway released (3.7.1) only supports emuNAND up to 10.7 (As Gateway team have confirmed)
    I have a GW as well and I'm wondering is my 60 Euro purchase now worthless with all these foreign (to me at least) CFWs and Hacks?
     
  5. retrofan_k

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,818
    1,113
    May 31, 2013
    Belarus
    Caves
    Last I heard it works with 11.0 emunand, could be wrong as I never went with what they said. I sold mine and went the a9lh route anyway.
     
  6. atrocious123

    atrocious123 Member

    Newcomer
    48
    2
    Jan 23, 2015
    Senegal
    sorry to ask in this thread but i installed cia files from that site and it doesn't work. It says invalid cia and it seems that i need to do some cryptofixing and drm stuff?
    Can anyone guide me through cause i really want to play the Rhythm heaven megamix with my gf.

    Currently on GW 3.7.1 and emuNAND 10.7.
    Any help would be much appreciated!
     
  7. otakusensei

    otakusensei Advanced Member

    Newcomer
    65
    10
    Sep 21, 2007
    United States
    Can confirm that Gateway works on 11.0 emunand. Running AL9H v1 with @liomajor's triple stage 2.
     
  8. kamesenin888

    kamesenin888 GBAtemp Advanced Fan

    Member
    560
    146
    Oct 20, 2007
    They only update in their site when something is changed, but as of now 11 works flawlessly
     
  9. MrJason005

    MrJason005 √2

    Member
    2,142
    1,182
    Nov 26, 2014
    Greece
    Κάπου
    Is this available to the public, or is it part of the closed beta?
     
  10. retrofan_k

    retrofan_k GBAtemp Advanced Maniac

    Member
    1,818
    1,113
    May 31, 2013
    Belarus
    Caves
    3.71 and 4.0b work on luma cfw 11.0. Don't use their version of a9lh, as it's a private beta, so stay clear away, unless you have a hard mod and want the console married to GW all the time. At the moment it's a bag of shit and not worth looking at. Those version dats are on their site too.

    The free a9lh guide by Plaicet allows gw's payload to boot their 3.71 and 4.0b launcher.dat, if you use V1 a9lh or V2 using Ctrboot from what I seen.
     
  11. thinkingofaname
    OP

    thinkingofaname Member

    Newcomer
    24
    0
    Mar 16, 2009
    Canada
    Ok key question here ... when you say GW 3.71 work with lastest firmware 11.0, do you mean GW AS IS, or did you further upgrade it via a9lh or w/e? I can already boot to gateway emunand via the DS profile thingy, I rather not mess with synand further, and Plaicet guide seem rather complicated as well with no mention of specific GW method, I can try it I suppose but I want to take advantage of GW and make it as hassle free as possible. Ultimately I just want to play games online, all other feature is useless to me.
     
  12. Quantumcat

    Quantumcat Dead and alive

    Member
    11,012
    5,904
    Nov 23, 2014
    Australia
    Canberra, Australia
    If you have Luma a9lh already:
    1. Go to the gateway website, downloads, scroll to the bottom, download arm9loaderhax.bin
    2. Rename it to down_GW.bin and put it in Luma/payloads
    3. Download gateway 3.7.1 and put the launcher.dat on the root of your SD card
    4. Hold down on the d-pad when the console is booting up to get into Gateway mode

    If you get a black screen: use emuNAND9 to format SD card without emuNAND (backup files before and put them back afterwards). If you still get a black screen, you might be using non-screen init and you need to change to screen init.
     
    Neo Draven likes this.
  13. otakusensei

    otakusensei Advanced Member

    Newcomer
    65
    10
    Sep 21, 2007
    United States
  14. thinkingofaname
    OP

    thinkingofaname Member

    Newcomer
    24
    0
    Mar 16, 2009
    Canada
    Eh...so basically GW does NOT work with 11.0, rather its luma a9lh doing the work but simply made to be GW compatible? If so then back to the original question, how do I install luma a9lh from stock gw 3.71?
     
  15. codezer0

    codezer0 Gaming keeps me sane

    Member
    2,444
    402
    Jul 14, 2009
    United States
    The Magic School Bus
    It does actually work with 11.0 in emuNAND, at least on an O3DS system.

    Currently using GW on my O3DS XL here. Pretty much waiting until that A9 thing is ready from Gateway before I give it a go. The guide posted earlier just sounds risky as hell, especially considering it basically forces breaking the DS profile exploit that I am both familiar and comfortable with using.
     
  16. atrocious123

    atrocious123 Member

    Newcomer
    48
    2
    Jan 23, 2015
    Senegal
    @codezer0 hey man, i am also on O3DS GW but how do you get the current CIA games to install on gw? i have been out for a long time so i am still using BBM or something along those lines.

    Now when i try to install the newer versions of cia, it always says cia invalid. Any help here? Thanks man!
     
  17. codezer0

    codezer0 Gaming keeps me sane

    Member
    2,444
    402
    Jul 14, 2009
    United States
    The Magic School Bus
    Early on, I had found a package of the early CTR tools, and that included the bigbluebox cia manager; first ran it as a .3dsx, but from there, I was able to install it as a .cia and just use it from there.

    I've yet to have any problems. Not sure how I can help there.
     
  18. Xanthe

    Xanthe Sith

    Member
    828
    571
    Dec 23, 2015
    United States
    Follow the rxTools guide, and up until the actual installation of rxTools, switch to the other tutorial for Luma installation (3dsx, etc.). That's what I did and I'm running Luma perfectly. However, I've had some people say it didn't work for them
     
  19. thinkingofaname
    OP

    thinkingofaname Member

    Newcomer
    24
    0
    Mar 16, 2009
    Canada
    Ok I got everything working in acceptable manner, since some people are similar to my situation I want do an update on what I did.

    1. Got homebrew access via brower hax, download the hax file to the root of the SD card, go to internet browser on N3DS, grabbed the image code and it ran just fine. (I never needed homebrew as I used cubic ninja with GW)

    2. Downloaded menuhax to the SD card under /3ds (aka homebrew folder), install menuhax so I don't need to connect to internet every time I want to launch homebrew (this is basically the same as DS profile exploit for the GW except it can launch other things besides GW)

    3. Downloaded Tinyformat to homebrew folder, ran it and unlinked my sysNAND and emuNAND. (Never needed this before either but apparently its good to have it unlinked, plus I can have different theme for sys vs emu so its easier to tell which system I am under)

    4. Since N3ds reseted to factory default after unlinking had to make a new profile etc. Then ran brower hax -> menuhax again since apparently I need to install again due to unlink, tedious but not difficult.

    5. Downloaded luma CFW lastest version to the SD card. Then in homebrew menu launch luma CFW, I ticked the option to show NAND info, I want to be 500% sure that I am in emuNAND before doing anything crazy.

    6. Once I made sure I was in luma CFW emuNAND, I went to system -> update and pray to god it was updating emuNAND and not sysNAND, even though I was 500% sure it is.

    7. System restarted, went back to homebrew, launched luma CFW again, everything works ... eshop access no problem, I installed MHG demo via BBM and it works, including online.

    8. Finally I downloaded GW homebrew files as well, so I can enter GW emuNAND via homebrew menu (ds profile doesn't seem to be working anymore), now I have 2 emuNAND, luma with 11.0 firmware, and GW with 9.2 firmware, can choose either via homebrew menu.

    Only downside with luma is the SD card in my GW card can not be read, so I have to place all games inside N3DS SD card as Cia. GW card still work in GW emuNAND of course. I STILL do not know if GW 3.71 on N3DS work with firmware 11.0, if anyone can confirm it would be nice. Don't want to risk restalling everything again so I am just gonna leave it and use luma for now.

    The a9lh method looks risky as hell, since you actually need to downgrade sysNAND ... my number #1 policy is to never touch the sysNAND no matter what, so I am going to pass. The extra 20 second or so I may save is not worth bricking my N3DS even if its only 0.1% chance of doing so.
     
  20. The Real Jdbye

    The Real Jdbye Always Remember 30/07/08

    Member
    GBAtemp Patron
    The Real Jdbye is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    12,080
    5,154
    Mar 17, 2010
    Norway
    Alola
    I have GW 3.7.1 with 11.0 and as other people already said, it works just fine.